package com.zzwtec.third.model.basedata.dto;


/**
 * Created by Xin.L on 2017/8/24.
 */
public class UserODTO {

    // 管理员登录token
    private String token;

    // 用户id
    private String userId;
    // 用户手机号码
    private String userLoginphone;
    // 用户名称
    private String userName;
    // 用户默认房产
    private String defaultCell;

    // 房间id
    private String cellId;
    // 关系类型 1是户主 2是成员 3是租客
    private Integer type;

    public String getToken() {
        return token;
    }

    public UserODTO setToken(String token) {
        this.token = token;
        return this;
    }

    public String getUserId() {
        return userId;
    }

    public UserODTO setUserId(String userId) {
        this.userId = userId;
        return this;
    }

    public String getUserLoginphone() {
        return userLoginphone;
    }

    public UserODTO setUserLoginphone(String userLoginphone) {
        this.userLoginphone = userLoginphone;
        return this;
    }

    public String getUserName() {
        return userName;
    }

    public UserODTO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getDefaultCell() {
        return defaultCell;
    }

    public UserODTO setDefaultCell(String defaultCell) {
        this.defaultCell = defaultCell;
        return this;
    }

    public String getCellId() {
        return cellId;
    }

    public UserODTO setCellId(String cellId) {
        this.cellId = cellId;
        return this;
    }

    public Integer getType() {
        return type;
    }

    public UserODTO setType(Integer type) {
        this.type = type;
        return this;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("UserODTO{");
        sb.append("token='").append(token).append('\'');
        sb.append(", userId='").append(userId).append('\'');
        sb.append(", userLoginphone='").append(userLoginphone).append('\'');
        sb.append(", userName='").append(userName).append('\'');
        sb.append(", defaultCell='").append(defaultCell).append('\'');
        sb.append(", cellId='").append(cellId).append('\'');
        sb.append(", type=").append(type);
        sb.append('}');
        return sb.toString();
    }
}
